<!DOCTYPE html>
<html lang="en-US">

<head>
    <meta charset="UTF-8">
    <title>Weco Admin</title>
    <link rel="stylesheet" type="text/css" href="/style.css">
    <link href="//maxcdn.bootstrapcdn.com/bootstrap/3.3.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
    <script src="//maxcdn.bootstrapcdn.com/bootstrap/3.3.0/js/bootstrap.min.js"></script>
    <script src="//code.jquery.com/jquery-1.11.1.min.js"></script>
</head>


<body>
    <div class="container">
        <div class="row">
            <div class="login">
                <div class="login-triangle"></div>

                <h2 class="login-header">Log in</h2>

                <form class="login-container">
                    <p><input type="email" placeholder="Email" name="userName" id="userName"></p>
                    <p><input type="password" placeholder="Password" name="password" id="password"></p>
                    <p id="errMsg" class="text-danger"></p>

                    <button type="submit" style="width: 100%;background: #28d;" id="loginBtn">Log in</button>

                </form>
            </div>>
        </div>
    </div>
    <script>
        $(document).ready(function () {
            $('#loginBtn').click(function (e) {
                e.preventDefault();

                var userName = $('#userName').val();
                var password = $('#password').val();
                console.log("username is "+userName+' passwprd is '+password)

                if (userName=='' || password=='') {
                    $('#errMsg').html('plz,enter email and password');

                }
                else{
                    $.post("http://localhost:3003/weco/login", 
                     { userName: userName, password: password },
                        function (data) {
                            console.log(data);
                            if(data==='sucess')
                            window.location.replace("http://localhost:3003/weco/pkgItem");

                            });
                }
            });
        
        });

    </script>

</body>

</html>